Bug 627127 - [Indic] Rendering of Text broken when Copy from Evince and Paste to Text editor (gedit)
[Indic] Rendering of Text broken when Copy from Evince and Paste to Text edit...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 627200
  Show dependency treegraph
 
Reported: 2010-08-25 03:05 EDT by A S Alam
Modified: 2015-02-17 08:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 627200 (view as bug list)
Environment:
Last Closed: 2015-02-17 08:21:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PDF file with Hindi Text (328.67 KB, application/pdf)
2010-08-25 03:05 EDT, A S Alam
no flags Details
This is pdf file generated in firefox print option (331.23 KB, application/pdf)
2012-07-26 03:11 EDT, Parag Nemade
no flags Details
This is pdf file generated in Chromium print option (296.53 KB, application/pdf)
2012-07-26 03:12 EDT, Parag Nemade
no flags Details

  None (edit)
Description A S Alam 2010-08-25 03:05:01 EDT
Created attachment 440846 [details]
PDF file with Hindi Text

Description of problem:
- Rendering of Text broken when Copy from Evince and Paste to Text editor (gedit),

Version-Release number of selected component (if applicable):
gedit-2.30.2-1.fc13.x86_64
cairo-1.8.10-1.fc13.x86_64
cairo-1.8.10-1.fc13.i686
pango-1.28.0-1.fc13.x86_64
pango-1.28.0-1.fc13.i686
evince-2.30.3-1.fc13.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. open attached pdf file
2. try to copy and paste text to any text editor
3. open http://www.bbc.co.uk/hindi/news/2010/08/100825_nuke_bill_govt_vv.shtml and copy paste data from this to text editor
  
Actual results:
Rendering is broken (compare with firefox->gedit copy/paste)

Expected results:
it should be same as print or Text in PDF file.

Additional info:
Comment 1 Marek Kašík 2010-09-10 09:51:26 EDT
Hi,

there are two problems with rendering of the PDF file.

The first one are those question marks instead of letters. These are shown because there is Unicode replacement character 0xfffd instead of normal unicode in the PDF. This is shown as the question mark when copied. It is rendered by poppler correctly because the PDF has embedded font which has the letter but it doesn't index it by Unicode so it is not possible to get Unicode value of it when copying the text.
So, this problem is caused by the PDF itself.

The second problem are those dotted circles. These are shown because poppler evaluate distance of two consecutive letters as too high and insert space between them. In the case of two letters which should be combined somehow it shows the circle in the place where it misses something.
This is hard to fix because the fix (changing of constants) could worsen the behaviour for other PDFs.

Regards

Marek
Comment 2 Marek Kašík 2010-09-15 08:42:00 EDT
Another problem I see with the PDF is that some letters are in wrong order. For example वि is combination of व and ि which should be ordered व ि resulting in वि. But in the PDF they are ordered in this way ि व, resulting in िव.
This is a problem of the PDF itself.

Marek
Comment 3 Bug Zapper 2011-06-01 06:29:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pravin Satpute 2011-06-02 01:48:18 EDT
still exists in poppler-0.16.5-1.fc15.x86_64

Yes, problem happen where conjuncts and reordering of characters is happening.
pdf is image format, any chance of getting storage data in copy?

since even in display we see different but in get store in order we type/enter it.

if we can get storage in copy it will surely get solve.
Comment 5 A S Alam 2011-06-07 06:50:41 EDT
it is exist in fedora 15
Comment 6 A S Alam 2011-08-19 02:56:08 EDT
continue with Fedora 16.
---
gedit-3.1.3-2.fc16.x86_64
pango-1.29.3-2.fc16.x86_64
cairo-1.10.2-4.fc16.x86_64
evince-3.1.2-2.fc16.x86_64
poppler-0.17.0-2.fc16.x86_64
---
Comment 7 Akira TAGOH 2012-06-26 03:23:57 EDT
Hmm, reading comment#1 and comment#2. I don't know how that pdf was generated, if it's not something with our applications, it sounds like fixing viewer or rendering library is wrong, because of the malformed pdf.

For instance, it may be a good idea to test on, say acroread. if it doesn't work on even it, it may be not a bug. please try.
Comment 8 Parag Nemade 2012-07-26 03:10:10 EDT
Update from F17 testing

If you open given URL in firefox and print it to PDF and try to copy and paste in gedit, it fails.

If you open given URL in Chromium browser and print it to PDF and try to copy and paste in gedit, it fails. Actually text selection also did not select all the text.
Comment 9 Parag Nemade 2012-07-26 03:11:30 EDT
Created attachment 600445 [details]
This is pdf file generated in firefox print option
Comment 10 Parag Nemade 2012-07-26 03:12:13 EDT
Created attachment 600446 [details]
This is pdf file generated in Chromium print option
Comment 11 A S Alam 2012-12-13 01:47:11 EST
let me confirm once
Comment 12 Parag Nemade 2013-01-16 23:03:44 EST
looks this is still present in f18
Comment 14 Fedora End Of Life 2013-07-04 01:31:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Pravin Satpute 2013-07-05 04:44:32 EDT
This bug is still present. Just wondering what will be the ideal fix for it?

I am going to improve Lohit fonts glyph name, so it will be represented nicely in PDF https://bugzilla.redhat.com/show_bug.cgi?id=981475


moving to Fedora 19
Comment 16 Fedora End Of Life 2015-01-09 11:19:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 08:21:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.